##### Requierd imports #####
import os, ConfigParser, time,glob, json,tempfile,shutil
from ConfigParser import SafeConfigParser
from copy import copy
from copy import deepcopy
 
import ConfigParser
from fextor_large import FextorLarge

CONFIG_PATH = os.path.join(os.path.abspath(os.path.dirname(__file__)), 'config.ini')
############################

##### Place for tool imports #####

##################################

class Plugin():

	#### Initial method - put here everything that's need to be load on start ####
 def __init__(self):
		print "Plugin init"
		self.config = None
		with open(CONFIG_PATH) as config_file:
						self.config = ConfigParser.RawConfigParser()
						self.config.readfp(config_file)
		

	#### Working method - put here everything that you need to do your job ####
 def process(self, in_file,out_file,str_options):
	print "Process.."
	options=json.loads(str_options);
	fl=FextorLarge()
	fl.process(in_file,options,out_file);
	print "Process finished"
	
class Attributes:
		pass


def main():
	   
	print "Start"
	
		
if __name__ == '__main__':
	main()
